#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin>>N;
    cin>>M;
    int d[N+1];
    int u[N+1];
    for(int i=0; i<N; i++){
        cin>>d[i];
        cin>>u[i];
    }
    int l[M+1];
    int r[M+1];
    int x[M+1];
    for(int i=0; i<M; i++){
        cin>>l[i];
        cin>>r[i];
        cin>>x[i];
    }
    for(int i=1; i<M; i++){
        int brojac=0;
        for(int j=l[i]; j<=r[i]; j++){
            if(d[j]<= x[i] && u[j]>=x[i]){
                brojac++;
            }
        }
        cout<<brojac<<endl;
    }
    return 0;
}